package muuttujat.matkaFX;
	
import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.BorderPane;
import javafx.fxml.FXMLLoader;

/**
 * Matkan muunnokset mittakaavaa kytten.
 * Tarvitaan MatkaView.fxml ja MatkaController.java.
 * @author vesal
 * @version 17.1.2016
 */
public class MatkaMain extends Application {
    @Override
    public void start(Stage primaryStage) {
        try {
            BorderPane root = (BorderPane)FXMLLoader.load(getClass().getResource("MatkaView.fxml"));
            Scene scene = new Scene(root); 
            // scene.getStylesheets().add(getClass().getResource("matka.css").toExternalForm());
            primaryStage.setTitle("Matka");
            primaryStage.setScene(scene);
            primaryStage.show();
        } catch(Exception e) {
            e.printStackTrace();
        }
    }


    /**
     * Kynnistetn mittakaavaohjelma 
     * @param args ei kytss
     */
    public static void main(String[] args) {
        launch(args);
    }
}
