package oliot.henkilo;

/**
 * Opiskelija, joka on peritty henkilst
 * Tydenn luokka.
 * @author  Vesa Lappalainen @version 1.0, 05.02.2003
 * @author Santtu Viitanen @version 1.1, 9.7.2011
 * @example
 * <pre name="test">
 * Opiskelija ville = new Opiskelija("Ville",21,1.80,9.9);
 * ville.toString() === "Ville, pituus 1.8, keskiarvo 9.9";
 * </pre>
 */
@SuppressWarnings("unused")
public class Opiskelija extends Henkilo {
    private double keskiarvo;


    /**
     * @param nimi opiskelijalle annettava n imi
     * @param ika opiskelijan ik
     * @param pituus_m pituus metrein
     * @param keskiarvo opiskelijan suoritusten keskiarvo
     */
    public Opiskelija(String nimi, int ika, double pituus_m, double keskiarvo) {
        super(nimi, ika, pituus_m);
    }


    @Override
    public String toString() {
        return "";
    }

}
