package oliot.muut;

/**
 * KissaP-luokka.  Peritn Elain-luokka.
 * @author Vesa Lappalainen
 * @version 1.0, 06.02.2003
 *
*/
public class KissaP extends Elain {

    /**
     * @param nimi kissan nimi
     * @param paino kissan paino
     */
    public KissaP(String nimi, double paino) {
        super(nimi, paino);
    }


    @Override
    public void aantele() { // override
        System.out.println("Miuaaa");
    }


    /**
     * Testataan Kiss-luokkaa
     * @param args ei kytss
     */
    public static void main(String[] args) {

        KissaP miuku = new KissaP("Miuku", 18000);
        miuku.aantele();
        miuku.tulosta();

        KissaP mirri = new KissaP("Mirri", 930);
        mirri.aantele();
        mirri.tulosta();
    }
}
