package oliot.muut;

/**
 * Koira-luokka
 * @author Vesa Lappalainen
 * @version 1.0, 06.02.2003
 *
*/
public class Koira {
    private String nimi;
    private double paino;


    /**
    * @param nimi koiran nimi
    * @param paino koiran paino
    */
    public Koira(String nimi, double paino) {
        this.nimi = nimi;
        this.paino = paino;
    }


    /**
     * nelln kuten koira
     */
    public void aantele() {
        System.out.println("Hau hau");
    }


    /**
     * Tulostetaan koiran tiedot
     */
    public void tulosta() {
        aantele();
        System.out.println("Olen :" + nimi + " painan: " + paino + " grammaa");
    }


    /**
     * Testataan koiran tietoja
     * @param args ei kytss
     */
    public static void main(String[] args) {

        Koira musti = new Koira("Musti", 18000);
        musti.aantele();
        musti.tulosta();

        Koira pluto = new Koira("Pluto", 1930);
        pluto.aantele();
        pluto.tulosta();
    }
}
