package dynaaminen;

import java.util.Vector;
import java.util.Iterator;
import java.io.*;

import fi.jyu.mit.ohj2.*;

/**
 * Esimerkki Javan vektorin kytst
 * @author Vesa Lappalainen
 * @version 1.0, 02.03.2002
 */

public class VectorMalli {

    /**
     * @param os mihin tulostetaan
     * @param luvut tulostettavat luvut
     */
    public static void tulosta(OutputStream os, Vector<Integer> luvut) {
        @SuppressWarnings("resource")
        PrintStream out = Tiedosto.getPrintStream(os);
        for (Iterator<Integer> i = luvut.iterator(); i.hasNext();) {
            int luku = (i.next()).intValue();
            out.print(luku + " ");
        }
        out.println();
    }


    /**
     * Katsotaan vektorin toimintaa
     * @param args ei kytss
     */
    public static void main(String[] args) {
        Vector<Integer> luvut = new Vector<Integer>(7);
        try {
            luvut.add(Integer.valueOf(0));
            luvut.add(Integer.valueOf(2));
            luvut.add(Integer.valueOf(99));
        } catch (Exception e) {
            System.out.println("Virhe: " + e.getMessage());
        }
        System.out.println(luvut);
        luvut.set(1, Integer.valueOf(4));
        System.out.println(luvut);
        int luku = luvut.get(2); // .intValue();
        System.out.println("Paikassa 2 on " + luku);
        tulosta(System.out, luvut);
        luvut.set(21, Integer.valueOf(4));
    }
}