package tiedosto;

import java.io.*;

/**
 * Ohjelmalla tulostetaan kertotaulu tiedostoon.  Jos tiedosto on
 * olemassa, jatketaan vanhan tiedoston pern.
 * @author Vesa Lappalainen
 * @version 1.0, 21.02.2003
 */
public class Kertotaulu {

    /**
     * Kertotaulu tiedostoon
     * @param args ei kytss
     */
    @SuppressWarnings("resource")
    public static void main(String[] args) {
        PrintStream fo = null;
        try {
            fo = new PrintStream(new FileOutputStream("taulu.txt", true));
        } catch (FileNotFoundException ex) {
            System.err.println("Tiedosto ei aukea: " + ex.getMessage());
            return;
        }

        int kerroin = 5;

        try {
            for (int i = 0; i < 10; i++)
                fo.printf("%2d * %d = %3d\n", i, kerroin, i * kerroin);
        } finally {
            fo.close();
        }
    }
}
