package tietokannat;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * Esimerkki miten tietoja haetaan tietokannasta
 * @author vesal
 * @version 4.4.2015
 */
public class TietojenHaku {

    /**
     * Haetaan kannasta tietoja
     * @param args hakuehto kentta
     */
    public static void main(String[] args) {
        String tiedNimi = "kerhomalli.db";
        String hakuehto = "%u%";
        String kentta = "nimi";        
        if ( args.length > 0  ) hakuehto = args[0];
        if ( args.length > 1  ) kentta = args[1];    // EI SAA OLLA KYTTJN SYTE!!!
        
        try ( Connection con = DriverManager.getConnection("jdbc:sqlite:" + tiedNimi);
              PreparedStatement sql = con.prepareStatement("SELECT * FROM Jasenet WHERE " + kentta + " LIKE ?")) {
            sql.setString(1, hakuehto);
            try ( ResultSet tulokset = sql.executeQuery() ) {
                while ( tulokset.next() ) {
                    System.out.printf("%03d %-10s %-12s %s%n",
                        tulokset.getInt("jasenID"),   // voitaisiin kytt mys kenttien indeksej, alkaa 1.
                        tulokset.getString("nimi"),
                        tulokset.getString("hetu"),
                        tulokset.getString("katuosoite")
                    );
                }
            }
        } catch (SQLException e) {
            System.err.println("Virhe: " + e.getMessage());
        }
    }
}
